with Ada.Text_IO; use Ada.Text_IO;
procedure Input is
   Line : String(1..80);
   Last : Natural;
begin
   loop
      Put("Type a line; empty line to exit: ");
      Get_Line(Line, Last);
      exit when Last=0;
      Put_Line(Last'Img & " """ & Line(1..Last)
               & """");
   end loop;
end Input;

